Skip to content

# Class: RoleBindingsStore

## Hierarchy

↳ KubeObjectStore‹RoleBinding›

↳ RoleBindingsStore

## Index

### Constructors

- constructor

### Properties

- api
- bufferSize
- eventsBuffer
- isLoaded
- isLoading
- items
- limit
- selectedItemsIds

### Accessors

- query
- selectedItems

### Methods

- [Symbol.iterator]
- bindWatchEventsUpdater
- create
- createItem
- defaultSorting
- filterItemsOnLoad
- getAllByNs
- getByLabel
- getByName
- getByPath
- getStatuses
- isSelected
- isSelectedAll
- load
- loadAll
- loadFromPath
- loadItem
- loadItems
- onWatchApiEvent
- remove
- removeItem
- removeSelectedItems
- reset
- resetSelection
- select
- sortItems
- subscribe
- toggleSelection
- toggleSelectionAll
- unselect
- update
- updateFromEventsBuffer
- updateItem
- updateSubjects

## Constructors

### constructor

+ new RoleBindingsStore(): RoleBindingsStore

Inherited from KubeObjectStore.constructor

Defined in src/renderer/kube-object.store.ts:15

Returns: RoleBindingsStore

## Properties

### api

• api: KubeApi‹ClusterRoleBinding‹›› = clusterRoleBindingApi

Overrides KubeObjectStore.api

Defined in src/renderer/components/+user-management-roles-bindings/role-bindings.store.ts:10

### bufferSize

• bufferSize: number = 50000

Inherited from KubeObjectStore.bufferSize

Defined in src/renderer/kube-object.store.ts:15

### `Protected` eventsBuffer

• eventsBuffer: IObservableArray‹IKubeWatchEvent‹KubeJsonApiData›› = observable>([], { deep: false })

Inherited from KubeObjectStore.eventsBuffer

Defined in src/renderer/kube-object.store.ts:172

### isLoaded

• isLoaded: boolean = false

Inherited from KubeObjectStore.isLoaded

Defined in src/renderer/item.store.ts:17

### isLoading

• isLoading: boolean = false

Inherited from KubeObjectStore.isLoading

Defined in src/renderer/item.store.ts:16

### items

• items: IObservableArray‹T› = observable.array([], { deep: false })

Inherited from KubeObjectStore.items

Defined in src/renderer/item.store.ts:18

### `Optional` limit

• limit? : number

Inherited from KubeObjectStore.limit

Defined in src/renderer/kube-object.store.ts:14

### selectedItemsIds

• selectedItemsIds: ObservableMap‹string, boolean› = observable.map()

Inherited from KubeObjectStore.selectedItemsIds

Defined in src/renderer/item.store.ts:19

## Accessors

### query

• get query(): IKubeApiQueryParams

Inherited from KubeObjectStore.query

Defined in src/renderer/kube-object.store.ts:23

Returns: IKubeApiQueryParams

### selectedItems

• get selectedItems(): RoleBinding[]

Inherited from KubeObjectStore.selectedItems

Defined in src/renderer/item.store.ts:21

Returns: RoleBinding[]

## Methods

### [Symbol.iterator]

▸ [Symbol.iterator](): Generator‹T, void, undefined›

Inherited from KubeObjectStore.[Symbol.iterator]

Defined in src/renderer/item.store.ts:178

Returns: Generator‹T, void, undefined›

### `Protected` bindWatchEventsUpdater

▸ bindWatchEventsUpdater(`delay`: number): IReactionDisposer

Inherited from KubeObjectStore.bindWatchEventsUpdater

Defined in src/renderer/kube-object.store.ts:174

Parameters:

Name | Type | Default
--- | --- | ---
`delay` | number | 1000

Returns: IReactionDisposer

### create

▸ create(`params`: object, `data?`: Partial‹RoleBinding›): Promise‹RoleBinding›

Inherited from KubeObjectStore.create

Defined in src/renderer/kube-object.store.ts:143

Parameters:

▪ params: object

Name | Type
--- | ---
`name` | string
`namespace?` | string

▪`Optional` data: Partial‹RoleBinding›

Returns: Promise‹RoleBinding›

### `Protected` createItem

▸ createItem(`params`: object, `data?`: Partial‹RoleBinding›): Promise‹RoleBinding‹››

Overrides KubeObjectStore.createItem

Defined in src/renderer/components/+user-management-roles-bindings/role-bindings.store.ts:40

Parameters:

▪ params: object

Name | Type
--- | ---
`name` | string
`namespace?` | string

▪`Optional` data: Partial‹RoleBinding›

Returns: Promise‹RoleBinding‹››

### `Protected` defaultSorting

▸ defaultSorting(`item`: RoleBinding): string

Inherited from KubeObjectStore.defaultSorting

Defined in src/renderer/item.store.ts:14

Parameters:

Name | Type
--- | ---
`item` | RoleBinding

Returns: string

### `Protected` filterItemsOnLoad

▸ filterItemsOnLoad(`items`: RoleBinding[]): T[]

Inherited from KubeObjectStore.filterItemsOnLoad

Defined in src/renderer/kube-object.store.ts:84

Parameters:

Name | Type
--- | ---
`items` | RoleBinding[]

Returns: T[]

### getAllByNs

▸ getAllByNs(`namespace`: string | string[], `strict`: boolean): RoleBinding[]

Inherited from KubeObjectStore.getAllByNs

Defined in src/renderer/kube-object.store.ts:35

Parameters:

Name | Type | Default
--- | --- | ---
`namespace` | string | string[] | -
`strict` | boolean | false

Returns: RoleBinding[]

### getByLabel

▸ getByLabel(`labels`: string[] | object): RoleBinding[]

Inherited from KubeObjectStore.getByLabel

Defined in src/renderer/kube-object.store.ts:57

Parameters:

Name | Type
--- | ---
`labels` | string[] | object

Returns: RoleBinding[]

### getByName

▸ getByName(`name`: string, `namespace?`: string): RoleBinding

Inherited from KubeObjectStore.getByName

Overrides void

Defined in src/renderer/kube-object.store.ts:45

Parameters:

Name | Type
--- | ---
`name` | string
`namespace?` | string

Returns: RoleBinding

### getByPath

▸ getByPath(`path`: string): RoleBinding

Inherited from KubeObjectStore.getByPath

Defined in src/renderer/kube-object.store.ts:53

Parameters:

Name | Type
--- | ---
`path` | string

Returns: RoleBinding

### `Optional` getStatuses

▸ getStatuses(`items`: RoleBinding[]): Record‹string, number›

Inherited from KubeObjectStore.getStatuses

Defined in src/renderer/kube-object.store.ts:33

Parameters:

Name | Type
--- | ---
`items` | RoleBinding[]

Returns: Record‹string, number›

### isSelected

▸ isSelected(`item`: RoleBinding): boolean

Inherited from KubeObjectStore.isSelected

Defined in src/renderer/item.store.ts:115

Parameters:

Name | Type
--- | ---
`item` | RoleBinding

Returns: boolean

### isSelectedAll

▸ isSelectedAll(`visibleItems`: RoleBinding[]): boolean

Inherited from KubeObjectStore.isSelectedAll

Defined in src/renderer/item.store.ts:151

Parameters:

Name | Type | Default
--- | --- | ---
`visibleItems` | RoleBinding[] | this.items

Returns: boolean

### load

▸ load(`params`: object): Promise‹RoleBinding›

Inherited from KubeObjectStore.load

Defined in src/renderer/kube-object.store.ts:118

Parameters:

▪ params: object

Name | Type
--- | ---
`name` | string
`namespace?` | string

Returns: Promise‹RoleBinding›

### loadAll

▸ loadAll(): Promise‹void›

Inherited from KubeObjectStore.loadAll

Overrides void

Defined in src/renderer/kube-object.store.ts:89

Returns: Promise‹void›

### loadFromPath

▸ loadFromPath(`resourcePath`: string): Promise‹T›

Inherited from KubeObjectStore.loadFromPath

Defined in src/renderer/kube-object.store.ts:133

Parameters:

Name | Type
--- | ---
`resourcePath` | string

Returns: Promise‹T›

### `Protected` loadItem

▸ loadItem(`params`: object): Promise‹RoleBinding‹››

Overrides KubeObjectStore.loadItem

Defined in src/renderer/components/+user-management-roles-bindings/role-bindings.store.ts:23

Parameters:

▪ params: object

Name | Type
--- | ---
`name` | string
`namespace?` | string

Returns: Promise‹RoleBinding‹››

### `Protected` loadItems

▸ loadItems(`namespaces?`: string[]): Promise‹RoleBinding‹›[]›

Overrides KubeObjectStore.loadItems

Defined in src/renderer/components/+user-management-roles-bindings/role-bindings.store.ts:29

Parameters:

Name | Type
--- | ---
`namespaces?` | string[]

Returns: Promise‹RoleBinding‹›[]›

### `Protected` onWatchApiEvent

▸ onWatchApiEvent(`evt`: IKubeWatchEvent): void

Inherited from KubeObjectStore.onWatchApiEvent

Defined in src/renderer/kube-object.store.ts:184

Parameters:

Name | Type
--- | ---
`evt` | IKubeWatchEvent

Returns: void

### remove

▸ remove(`item`: RoleBinding): Promise‹void›

Inherited from KubeObjectStore.remove

Defined in src/renderer/kube-object.store.ts:161

Parameters:

Name | Type
--- | ---
`item` | RoleBinding

Returns: Promise‹void›

### `Protected` removeItem

▸ removeItem(`item`: RoleBinding, `request`: function): Promise‹void›

Inherited from KubeObjectStore.removeItem

Defined in src/renderer/item.store.ts:109

Parameters:

▪ item: RoleBinding

▪ request: function

▸ (): Promise‹any›

Returns: Promise‹void›

### removeSelectedItems

▸ removeSelectedItems(): Promise‹void[]›

Inherited from KubeObjectStore.removeSelectedItems

Overrides void

Defined in src/renderer/kube-object.store.ts:167

Returns: Promise‹void[]›

### reset

▸ reset(): void

Inherited from KubeObjectStore.reset

Defined in src/renderer/item.store.ts:163

Returns: void

### resetSelection

▸ resetSelection(): void

Inherited from KubeObjectStore.resetSelection

Defined in src/renderer/item.store.ts:158

Returns: void

### select

▸ select(`item`: RoleBinding): void

Inherited from KubeObjectStore.select

Defined in src/renderer/item.store.ts:120

Parameters:

Name | Type
--- | ---
`item` | RoleBinding

Returns: void

### `Protected` sortItems

▸ sortItems(`items`: RoleBinding[]): RoleBinding‹›[]

Overrides KubeObjectStore.sortItems

Defined in src/renderer/components/+user-management-roles-bindings/role-bindings.store.ts:16

Parameters:

Name | Type
--- | ---
`items` | RoleBinding[]

Returns: RoleBinding‹›[]

### subscribe

▸ subscribe(): (Anonymous function)

Overrides KubeObjectStore.subscribe

Defined in src/renderer/components/+user-management-roles-bindings/role-bindings.store.ts:12

Returns: (Anonymous function)

### toggleSelection

▸ toggleSelection(`item`: RoleBinding): void

Inherited from KubeObjectStore.toggleSelection

Defined in src/renderer/item.store.ts:130

Parameters:

Name | Type
--- | ---
`item` | RoleBinding

Returns: void

### toggleSelectionAll

▸ toggleSelectionAll(`visibleItems`: RoleBinding[]): void

Inherited from KubeObjectStore.toggleSelectionAll

Defined in src/renderer/item.store.ts:140

Parameters:

Name | Type | Default
--- | --- | ---
`visibleItems` | RoleBinding[] | this.items

Returns: void

### unselect

▸ unselect(`item`: RoleBinding): void

Inherited from KubeObjectStore.unselect

Defined in src/renderer/item.store.ts:125

Parameters:

Name | Type
--- | ---
`item` | RoleBinding

Returns: void

### update

▸ update(`item`: RoleBinding, `data`: Partial‹RoleBinding›): Promise‹RoleBinding›

Inherited from KubeObjectStore.update

Defined in src/renderer/kube-object.store.ts:152

Parameters:

Name | Type
--- | ---
`item` | RoleBinding
`data` | Partial‹RoleBinding›

Returns: Promise‹RoleBinding›

### `Protected` updateFromEventsBuffer

▸ updateFromEventsBuffer(): void

Inherited from KubeObjectStore.updateFromEventsBuffer

Defined in src/renderer/kube-object.store.ts:190

Returns: void

### `Protected` updateItem

▸ updateItem(`item`: RoleBinding, `request`: function): Promise‹T›

Inherited from KubeObjectStore.updateItem

Defined in src/renderer/item.store.ts:99

Parameters:

▪ item: RoleBinding

▪ request: function

▸ (): Promise‹RoleBinding›

Returns: Promise‹T›

### updateSubjects

▸ updateSubjects(`params`: object): Promise‹RoleBinding‹››

Defined in src/renderer/components/+user-management-roles-bindings/role-bindings.store.ts:48

Parameters:

▪ params: object

Name | Type
--- | ---
`addSubjects?` | IRoleBindingSubject[]
`removeSubjects?` | IRoleBindingSubject[]
`roleBinding` | RoleBinding

Returns: Promise‹RoleBinding‹››